package com.ruoyi.system.mapper.task;

import com.ruoyi.system.domain.task.TkCommonQianpi;
import com.ruoyi.system.domain.task.TkCommonQianpiExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TkCommonQianpiMapper {
    long countByExample(TkCommonQianpiExample example);

    int deleteByExample(TkCommonQianpiExample example);

    int deleteByPrimaryKey(String id);

    int insert(TkCommonQianpi record);

    int insertSelective(TkCommonQianpi record);

    List<TkCommonQianpi> selectByExample(TkCommonQianpiExample example);

    TkCommonQianpi selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TkCommonQianpi record, @Param("example") TkCommonQianpiExample example);

    int updateByExample(@Param("record") TkCommonQianpi record, @Param("example") TkCommonQianpiExample example);

    int updateByPrimaryKeySelective(TkCommonQianpi record);

    int updateByPrimaryKey(TkCommonQianpi record);
}